IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network84.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
- Network address
84.0.0.0- Broadcast address
87.255.255.255- First usable
84.0.0.1- Last usable
87.255.255.254- Usable hosts
- 67,108,862 (67,108,864 less the network and broadcast addresses)
- Subnet mask
252.0.0.0- Wildcard mask
3.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /6
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
54000000· Integer1409286144to1476395007 - Reverse DNS zones
84.in-addr.arpa85.in-addr.arpa86.in-addr.arpa87.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01010100.00000000.00000000.00000000 | 84.0.0.0 |
| Subnet mask | 11111100.00000000.00000000.00000000 | 252.0.0.0 |
| Network | 01010100.00000000.00000000.00000000 | 84.0.0.0 |
| Broadcast | 01010111.11111111.11111111.11111111 | 87.255.255.255 |
Split into smaller subnets
/7 (2)/8 (4)/9 (8)/10 (16)/11 (32)/12 (64)/13 (128)/14 (256)/15 (512)/16 (1,024)/17 (2,048)/18 (4,096)
84.0.0.0/6 makes 256 subnets of /14.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 84.0.0.0/14 | 84.0.0.1 to 84.3.255.254 | 84.3.255.255 | 262,142 |
| 2 | 84.4.0.0/14 | 84.4.0.1 to 84.7.255.254 | 84.7.255.255 | 262,142 |
| 3 | 84.8.0.0/14 | 84.8.0.1 to 84.11.255.254 | 84.11.255.255 | 262,142 |
| 4 | 84.12.0.0/14 | 84.12.0.1 to 84.15.255.254 | 84.15.255.255 | 262,142 |
| 5 | 84.16.0.0/14 | 84.16.0.1 to 84.19.255.254 | 84.19.255.255 | 262,142 |
| 6 | 84.20.0.0/14 | 84.20.0.1 to 84.23.255.254 | 84.23.255.255 | 262,142 |
| 7 | 84.24.0.0/14 | 84.24.0.1 to 84.27.255.254 | 84.27.255.255 | 262,142 |
| 8 | 84.28.0.0/14 | 84.28.0.1 to 84.31.255.254 | 84.31.255.255 | 262,142 |
| 9 | 84.32.0.0/14 | 84.32.0.1 to 84.35.255.254 | 84.35.255.255 | 262,142 |
| 10 | 84.36.0.0/14 | 84.36.0.1 to 84.39.255.254 | 84.39.255.255 | 262,142 |
| 11 | 84.40.0.0/14 | 84.40.0.1 to 84.43.255.254 | 84.43.255.255 | 262,142 |
| 12 | 84.44.0.0/14 | 84.44.0.1 to 84.47.255.254 | 84.47.255.255 | 262,142 |
| 13 | 84.48.0.0/14 | 84.48.0.1 to 84.51.255.254 | 84.51.255.255 | 262,142 |
| 14 | 84.52.0.0/14 | 84.52.0.1 to 84.55.255.254 | 84.55.255.255 | 262,142 |
| 15 | 84.56.0.0/14 | 84.56.0.1 to 84.59.255.254 | 84.59.255.255 | 262,142 |
| 16 | 84.60.0.0/14 | 84.60.0.1 to 84.63.255.254 | 84.63.255.255 | 262,142 |
| 17 | 84.64.0.0/14 | 84.64.0.1 to 84.67.255.254 | 84.67.255.255 | 262,142 |
| 18 | 84.68.0.0/14 | 84.68.0.1 to 84.71.255.254 | 84.71.255.255 | 262,142 |
| 19 | 84.72.0.0/14 | 84.72.0.1 to 84.75.255.254 | 84.75.255.255 | 262,142 |
| 20 | 84.76.0.0/14 | 84.76.0.1 to 84.79.255.254 | 84.79.255.255 | 262,142 |
| 21 | 84.80.0.0/14 | 84.80.0.1 to 84.83.255.254 | 84.83.255.255 | 262,142 |
| 22 | 84.84.0.0/14 | 84.84.0.1 to 84.87.255.254 | 84.87.255.255 | 262,142 |
| 23 | 84.88.0.0/14 | 84.88.0.1 to 84.91.255.254 | 84.91.255.255 | 262,142 |
| 24 | 84.92.0.0/14 | 84.92.0.1 to 84.95.255.254 | 84.95.255.255 | 262,142 |
| 25 | 84.96.0.0/14 | 84.96.0.1 to 84.99.255.254 | 84.99.255.255 | 262,142 |
| 26 | 84.100.0.0/14 | 84.100.0.1 to 84.103.255.254 | 84.103.255.255 | 262,142 |
| 27 | 84.104.0.0/14 | 84.104.0.1 to 84.107.255.254 | 84.107.255.255 | 262,142 |
| 28 | 84.108.0.0/14 | 84.108.0.1 to 84.111.255.254 | 84.111.255.255 | 262,142 |
| 29 | 84.112.0.0/14 | 84.112.0.1 to 84.115.255.254 | 84.115.255.255 | 262,142 |
| 30 | 84.116.0.0/14 | 84.116.0.1 to 84.119.255.254 | 84.119.255.255 | 262,142 |
| 31 | 84.120.0.0/14 | 84.120.0.1 to 84.123.255.254 | 84.123.255.255 | 262,142 |
| 32 | 84.124.0.0/14 | 84.124.0.1 to 84.127.255.254 | 84.127.255.255 | 262,142 |
| 33 | 84.128.0.0/14 | 84.128.0.1 to 84.131.255.254 | 84.131.255.255 | 262,142 |
| 34 | 84.132.0.0/14 | 84.132.0.1 to 84.135.255.254 | 84.135.255.255 | 262,142 |
| 35 | 84.136.0.0/14 | 84.136.0.1 to 84.139.255.254 | 84.139.255.255 | 262,142 |
| 36 | 84.140.0.0/14 | 84.140.0.1 to 84.143.255.254 | 84.143.255.255 | 262,142 |
| 37 | 84.144.0.0/14 | 84.144.0.1 to 84.147.255.254 | 84.147.255.255 | 262,142 |
| 38 | 84.148.0.0/14 | 84.148.0.1 to 84.151.255.254 | 84.151.255.255 | 262,142 |
| 39 | 84.152.0.0/14 | 84.152.0.1 to 84.155.255.254 | 84.155.255.255 | 262,142 |
| 40 | 84.156.0.0/14 | 84.156.0.1 to 84.159.255.254 | 84.159.255.255 | 262,142 |
| 41 | 84.160.0.0/14 | 84.160.0.1 to 84.163.255.254 | 84.163.255.255 | 262,142 |
| 42 | 84.164.0.0/14 | 84.164.0.1 to 84.167.255.254 | 84.167.255.255 | 262,142 |
| 43 | 84.168.0.0/14 | 84.168.0.1 to 84.171.255.254 | 84.171.255.255 | 262,142 |
| 44 | 84.172.0.0/14 | 84.172.0.1 to 84.175.255.254 | 84.175.255.255 | 262,142 |
| 45 | 84.176.0.0/14 | 84.176.0.1 to 84.179.255.254 | 84.179.255.255 | 262,142 |
| 46 | 84.180.0.0/14 | 84.180.0.1 to 84.183.255.254 | 84.183.255.255 | 262,142 |
| 47 | 84.184.0.0/14 | 84.184.0.1 to 84.187.255.254 | 84.187.255.255 | 262,142 |
| 48 | 84.188.0.0/14 | 84.188.0.1 to 84.191.255.254 | 84.191.255.255 | 262,142 |
| 49 | 84.192.0.0/14 | 84.192.0.1 to 84.195.255.254 | 84.195.255.255 | 262,142 |
| 50 | 84.196.0.0/14 | 84.196.0.1 to 84.199.255.254 | 84.199.255.255 | 262,142 |
| 51 | 84.200.0.0/14 | 84.200.0.1 to 84.203.255.254 | 84.203.255.255 | 262,142 |
| 52 | 84.204.0.0/14 | 84.204.0.1 to 84.207.255.254 | 84.207.255.255 | 262,142 |
| 53 | 84.208.0.0/14 | 84.208.0.1 to 84.211.255.254 | 84.211.255.255 | 262,142 |
| 54 | 84.212.0.0/14 | 84.212.0.1 to 84.215.255.254 | 84.215.255.255 | 262,142 |
| 55 | 84.216.0.0/14 | 84.216.0.1 to 84.219.255.254 | 84.219.255.255 | 262,142 |
| 56 | 84.220.0.0/14 | 84.220.0.1 to 84.223.255.254 | 84.223.255.255 | 262,142 |
| 57 | 84.224.0.0/14 | 84.224.0.1 to 84.227.255.254 | 84.227.255.255 | 262,142 |
| 58 | 84.228.0.0/14 | 84.228.0.1 to 84.231.255.254 | 84.231.255.255 | 262,142 |
| 59 | 84.232.0.0/14 | 84.232.0.1 to 84.235.255.254 | 84.235.255.255 | 262,142 |
| 60 | 84.236.0.0/14 | 84.236.0.1 to 84.239.255.254 | 84.239.255.255 | 262,142 |
| 61 | 84.240.0.0/14 | 84.240.0.1 to 84.243.255.254 | 84.243.255.255 | 262,142 |
| 62 | 84.244.0.0/14 | 84.244.0.1 to 84.247.255.254 | 84.247.255.255 | 262,142 |
| 63 | 84.248.0.0/14 | 84.248.0.1 to 84.251.255.254 | 84.251.255.255 | 262,142 |
| 64 | 84.252.0.0/14 | 84.252.0.1 to 84.255.255.254 | 84.255.255.255 | 262,142 |
| 65 | 85.0.0.0/14 | 85.0.0.1 to 85.3.255.254 | 85.3.255.255 | 262,142 |
| 66 | 85.4.0.0/14 | 85.4.0.1 to 85.7.255.254 | 85.7.255.255 | 262,142 |
| 67 | 85.8.0.0/14 | 85.8.0.1 to 85.11.255.254 | 85.11.255.255 | 262,142 |
| 68 | 85.12.0.0/14 | 85.12.0.1 to 85.15.255.254 | 85.15.255.255 | 262,142 |
| 69 | 85.16.0.0/14 | 85.16.0.1 to 85.19.255.254 | 85.19.255.255 | 262,142 |
| 70 | 85.20.0.0/14 | 85.20.0.1 to 85.23.255.254 | 85.23.255.255 | 262,142 |
| 71 | 85.24.0.0/14 | 85.24.0.1 to 85.27.255.254 | 85.27.255.255 | 262,142 |
| 72 | 85.28.0.0/14 | 85.28.0.1 to 85.31.255.254 | 85.31.255.255 | 262,142 |
| 73 | 85.32.0.0/14 | 85.32.0.1 to 85.35.255.254 | 85.35.255.255 | 262,142 |
| 74 | 85.36.0.0/14 | 85.36.0.1 to 85.39.255.254 | 85.39.255.255 | 262,142 |
| 75 | 85.40.0.0/14 | 85.40.0.1 to 85.43.255.254 | 85.43.255.255 | 262,142 |
| 76 | 85.44.0.0/14 | 85.44.0.1 to 85.47.255.254 | 85.47.255.255 | 262,142 |
| 77 | 85.48.0.0/14 | 85.48.0.1 to 85.51.255.254 | 85.51.255.255 | 262,142 |
| 78 | 85.52.0.0/14 | 85.52.0.1 to 85.55.255.254 | 85.55.255.255 | 262,142 |
| 79 | 85.56.0.0/14 | 85.56.0.1 to 85.59.255.254 | 85.59.255.255 | 262,142 |
| 80 | 85.60.0.0/14 | 85.60.0.1 to 85.63.255.254 | 85.63.255.255 | 262,142 |
| 81 | 85.64.0.0/14 | 85.64.0.1 to 85.67.255.254 | 85.67.255.255 | 262,142 |
| 82 | 85.68.0.0/14 | 85.68.0.1 to 85.71.255.254 | 85.71.255.255 | 262,142 |
| 83 | 85.72.0.0/14 | 85.72.0.1 to 85.75.255.254 | 85.75.255.255 | 262,142 |
| 84 | 85.76.0.0/14 | 85.76.0.1 to 85.79.255.254 | 85.79.255.255 | 262,142 |
| 85 | 85.80.0.0/14 | 85.80.0.1 to 85.83.255.254 | 85.83.255.255 | 262,142 |
| 86 | 85.84.0.0/14 | 85.84.0.1 to 85.87.255.254 | 85.87.255.255 | 262,142 |
| 87 | 85.88.0.0/14 | 85.88.0.1 to 85.91.255.254 | 85.91.255.255 | 262,142 |
| 88 | 85.92.0.0/14 | 85.92.0.1 to 85.95.255.254 | 85.95.255.255 | 262,142 |
| 89 | 85.96.0.0/14 | 85.96.0.1 to 85.99.255.254 | 85.99.255.255 | 262,142 |
| 90 | 85.100.0.0/14 | 85.100.0.1 to 85.103.255.254 | 85.103.255.255 | 262,142 |
| 91 | 85.104.0.0/14 | 85.104.0.1 to 85.107.255.254 | 85.107.255.255 | 262,142 |
| 92 | 85.108.0.0/14 | 85.108.0.1 to 85.111.255.254 | 85.111.255.255 | 262,142 |
| 93 | 85.112.0.0/14 | 85.112.0.1 to 85.115.255.254 | 85.115.255.255 | 262,142 |
| 94 | 85.116.0.0/14 | 85.116.0.1 to 85.119.255.254 | 85.119.255.255 | 262,142 |
| 95 | 85.120.0.0/14 | 85.120.0.1 to 85.123.255.254 | 85.123.255.255 | 262,142 |
| 96 | 85.124.0.0/14 | 85.124.0.1 to 85.127.255.254 | 85.127.255.255 | 262,142 |
| 97 | 85.128.0.0/14 | 85.128.0.1 to 85.131.255.254 | 85.131.255.255 | 262,142 |
| 98 | 85.132.0.0/14 | 85.132.0.1 to 85.135.255.254 | 85.135.255.255 | 262,142 |
| 99 | 85.136.0.0/14 | 85.136.0.1 to 85.139.255.254 | 85.139.255.255 | 262,142 |
| 100 | 85.140.0.0/14 | 85.140.0.1 to 85.143.255.254 | 85.143.255.255 | 262,142 |
| 101 | 85.144.0.0/14 | 85.144.0.1 to 85.147.255.254 | 85.147.255.255 | 262,142 |
| 102 | 85.148.0.0/14 | 85.148.0.1 to 85.151.255.254 | 85.151.255.255 | 262,142 |
| 103 | 85.152.0.0/14 | 85.152.0.1 to 85.155.255.254 | 85.155.255.255 | 262,142 |
| 104 | 85.156.0.0/14 | 85.156.0.1 to 85.159.255.254 | 85.159.255.255 | 262,142 |
| 105 | 85.160.0.0/14 | 85.160.0.1 to 85.163.255.254 | 85.163.255.255 | 262,142 |
| 106 | 85.164.0.0/14 | 85.164.0.1 to 85.167.255.254 | 85.167.255.255 | 262,142 |
| 107 | 85.168.0.0/14 | 85.168.0.1 to 85.171.255.254 | 85.171.255.255 | 262,142 |
| 108 | 85.172.0.0/14 | 85.172.0.1 to 85.175.255.254 | 85.175.255.255 | 262,142 |
| 109 | 85.176.0.0/14 | 85.176.0.1 to 85.179.255.254 | 85.179.255.255 | 262,142 |
| 110 | 85.180.0.0/14 | 85.180.0.1 to 85.183.255.254 | 85.183.255.255 | 262,142 |
| 111 | 85.184.0.0/14 | 85.184.0.1 to 85.187.255.254 | 85.187.255.255 | 262,142 |
| 112 | 85.188.0.0/14 | 85.188.0.1 to 85.191.255.254 | 85.191.255.255 | 262,142 |
| 113 | 85.192.0.0/14 | 85.192.0.1 to 85.195.255.254 | 85.195.255.255 | 262,142 |
| 114 | 85.196.0.0/14 | 85.196.0.1 to 85.199.255.254 | 85.199.255.255 | 262,142 |
| 115 | 85.200.0.0/14 | 85.200.0.1 to 85.203.255.254 | 85.203.255.255 | 262,142 |
| 116 | 85.204.0.0/14 | 85.204.0.1 to 85.207.255.254 | 85.207.255.255 | 262,142 |
| 117 | 85.208.0.0/14 | 85.208.0.1 to 85.211.255.254 | 85.211.255.255 | 262,142 |
| 118 | 85.212.0.0/14 | 85.212.0.1 to 85.215.255.254 | 85.215.255.255 | 262,142 |
| 119 | 85.216.0.0/14 | 85.216.0.1 to 85.219.255.254 | 85.219.255.255 | 262,142 |
| 120 | 85.220.0.0/14 | 85.220.0.1 to 85.223.255.254 | 85.223.255.255 | 262,142 |
| 121 | 85.224.0.0/14 | 85.224.0.1 to 85.227.255.254 | 85.227.255.255 | 262,142 |
| 122 | 85.228.0.0/14 | 85.228.0.1 to 85.231.255.254 | 85.231.255.255 | 262,142 |
| 123 | 85.232.0.0/14 | 85.232.0.1 to 85.235.255.254 | 85.235.255.255 | 262,142 |
| 124 | 85.236.0.0/14 | 85.236.0.1 to 85.239.255.254 | 85.239.255.255 | 262,142 |
| 125 | 85.240.0.0/14 | 85.240.0.1 to 85.243.255.254 | 85.243.255.255 | 262,142 |
| 126 | 85.244.0.0/14 | 85.244.0.1 to 85.247.255.254 | 85.247.255.255 | 262,142 |
| 127 | 85.248.0.0/14 | 85.248.0.1 to 85.251.255.254 | 85.251.255.255 | 262,142 |
| 128 | 85.252.0.0/14 | 85.252.0.1 to 85.255.255.254 | 85.255.255.255 | 262,142 |
| 129 | 86.0.0.0/14 | 86.0.0.1 to 86.3.255.254 | 86.3.255.255 | 262,142 |
| 130 | 86.4.0.0/14 | 86.4.0.1 to 86.7.255.254 | 86.7.255.255 | 262,142 |
| 131 | 86.8.0.0/14 | 86.8.0.1 to 86.11.255.254 | 86.11.255.255 | 262,142 |
| 132 | 86.12.0.0/14 | 86.12.0.1 to 86.15.255.254 | 86.15.255.255 | 262,142 |
| 133 | 86.16.0.0/14 | 86.16.0.1 to 86.19.255.254 | 86.19.255.255 | 262,142 |
| 134 | 86.20.0.0/14 | 86.20.0.1 to 86.23.255.254 | 86.23.255.255 | 262,142 |
| 135 | 86.24.0.0/14 | 86.24.0.1 to 86.27.255.254 | 86.27.255.255 | 262,142 |
| 136 | 86.28.0.0/14 | 86.28.0.1 to 86.31.255.254 | 86.31.255.255 | 262,142 |
| 137 | 86.32.0.0/14 | 86.32.0.1 to 86.35.255.254 | 86.35.255.255 | 262,142 |
| 138 | 86.36.0.0/14 | 86.36.0.1 to 86.39.255.254 | 86.39.255.255 | 262,142 |
| 139 | 86.40.0.0/14 | 86.40.0.1 to 86.43.255.254 | 86.43.255.255 | 262,142 |
| 140 | 86.44.0.0/14 | 86.44.0.1 to 86.47.255.254 | 86.47.255.255 | 262,142 |
| 141 | 86.48.0.0/14 | 86.48.0.1 to 86.51.255.254 | 86.51.255.255 | 262,142 |
| 142 | 86.52.0.0/14 | 86.52.0.1 to 86.55.255.254 | 86.55.255.255 | 262,142 |
| 143 | 86.56.0.0/14 | 86.56.0.1 to 86.59.255.254 | 86.59.255.255 | 262,142 |
| 144 | 86.60.0.0/14 | 86.60.0.1 to 86.63.255.254 | 86.63.255.255 | 262,142 |
| 145 | 86.64.0.0/14 | 86.64.0.1 to 86.67.255.254 | 86.67.255.255 | 262,142 |
| 146 | 86.68.0.0/14 | 86.68.0.1 to 86.71.255.254 | 86.71.255.255 | 262,142 |
| 147 | 86.72.0.0/14 | 86.72.0.1 to 86.75.255.254 | 86.75.255.255 | 262,142 |
| 148 | 86.76.0.0/14 | 86.76.0.1 to 86.79.255.254 | 86.79.255.255 | 262,142 |
| 149 | 86.80.0.0/14 | 86.80.0.1 to 86.83.255.254 | 86.83.255.255 | 262,142 |
| 150 | 86.84.0.0/14 | 86.84.0.1 to 86.87.255.254 | 86.87.255.255 | 262,142 |
| 151 | 86.88.0.0/14 | 86.88.0.1 to 86.91.255.254 | 86.91.255.255 | 262,142 |
| 152 | 86.92.0.0/14 | 86.92.0.1 to 86.95.255.254 | 86.95.255.255 | 262,142 |
| 153 | 86.96.0.0/14 | 86.96.0.1 to 86.99.255.254 | 86.99.255.255 | 262,142 |
| 154 | 86.100.0.0/14 | 86.100.0.1 to 86.103.255.254 | 86.103.255.255 | 262,142 |
| 155 | 86.104.0.0/14 | 86.104.0.1 to 86.107.255.254 | 86.107.255.255 | 262,142 |
| 156 | 86.108.0.0/14 | 86.108.0.1 to 86.111.255.254 | 86.111.255.255 | 262,142 |
| 157 | 86.112.0.0/14 | 86.112.0.1 to 86.115.255.254 | 86.115.255.255 | 262,142 |
| 158 | 86.116.0.0/14 | 86.116.0.1 to 86.119.255.254 | 86.119.255.255 | 262,142 |
| 159 | 86.120.0.0/14 | 86.120.0.1 to 86.123.255.254 | 86.123.255.255 | 262,142 |
| 160 | 86.124.0.0/14 | 86.124.0.1 to 86.127.255.254 | 86.127.255.255 | 262,142 |
| 161 | 86.128.0.0/14 | 86.128.0.1 to 86.131.255.254 | 86.131.255.255 | 262,142 |
| 162 | 86.132.0.0/14 | 86.132.0.1 to 86.135.255.254 | 86.135.255.255 | 262,142 |
| 163 | 86.136.0.0/14 | 86.136.0.1 to 86.139.255.254 | 86.139.255.255 | 262,142 |
| 164 | 86.140.0.0/14 | 86.140.0.1 to 86.143.255.254 | 86.143.255.255 | 262,142 |
| 165 | 86.144.0.0/14 | 86.144.0.1 to 86.147.255.254 | 86.147.255.255 | 262,142 |
| 166 | 86.148.0.0/14 | 86.148.0.1 to 86.151.255.254 | 86.151.255.255 | 262,142 |
| 167 | 86.152.0.0/14 | 86.152.0.1 to 86.155.255.254 | 86.155.255.255 | 262,142 |
| 168 | 86.156.0.0/14 | 86.156.0.1 to 86.159.255.254 | 86.159.255.255 | 262,142 |
| 169 | 86.160.0.0/14 | 86.160.0.1 to 86.163.255.254 | 86.163.255.255 | 262,142 |
| 170 | 86.164.0.0/14 | 86.164.0.1 to 86.167.255.254 | 86.167.255.255 | 262,142 |
| 171 | 86.168.0.0/14 | 86.168.0.1 to 86.171.255.254 | 86.171.255.255 | 262,142 |
| 172 | 86.172.0.0/14 | 86.172.0.1 to 86.175.255.254 | 86.175.255.255 | 262,142 |
| 173 | 86.176.0.0/14 | 86.176.0.1 to 86.179.255.254 | 86.179.255.255 | 262,142 |
| 174 | 86.180.0.0/14 | 86.180.0.1 to 86.183.255.254 | 86.183.255.255 | 262,142 |
| 175 | 86.184.0.0/14 | 86.184.0.1 to 86.187.255.254 | 86.187.255.255 | 262,142 |
| 176 | 86.188.0.0/14 | 86.188.0.1 to 86.191.255.254 | 86.191.255.255 | 262,142 |
| 177 | 86.192.0.0/14 | 86.192.0.1 to 86.195.255.254 | 86.195.255.255 | 262,142 |
| 178 | 86.196.0.0/14 | 86.196.0.1 to 86.199.255.254 | 86.199.255.255 | 262,142 |
| 179 | 86.200.0.0/14 | 86.200.0.1 to 86.203.255.254 | 86.203.255.255 | 262,142 |
| 180 | 86.204.0.0/14 | 86.204.0.1 to 86.207.255.254 | 86.207.255.255 | 262,142 |
| 181 | 86.208.0.0/14 | 86.208.0.1 to 86.211.255.254 | 86.211.255.255 | 262,142 |
| 182 | 86.212.0.0/14 | 86.212.0.1 to 86.215.255.254 | 86.215.255.255 | 262,142 |
| 183 | 86.216.0.0/14 | 86.216.0.1 to 86.219.255.254 | 86.219.255.255 | 262,142 |
| 184 | 86.220.0.0/14 | 86.220.0.1 to 86.223.255.254 | 86.223.255.255 | 262,142 |
| 185 | 86.224.0.0/14 | 86.224.0.1 to 86.227.255.254 | 86.227.255.255 | 262,142 |
| 186 | 86.228.0.0/14 | 86.228.0.1 to 86.231.255.254 | 86.231.255.255 | 262,142 |
| 187 | 86.232.0.0/14 | 86.232.0.1 to 86.235.255.254 | 86.235.255.255 | 262,142 |
| 188 | 86.236.0.0/14 | 86.236.0.1 to 86.239.255.254 | 86.239.255.255 | 262,142 |
| 189 | 86.240.0.0/14 | 86.240.0.1 to 86.243.255.254 | 86.243.255.255 | 262,142 |
| 190 | 86.244.0.0/14 | 86.244.0.1 to 86.247.255.254 | 86.247.255.255 | 262,142 |
| 191 | 86.248.0.0/14 | 86.248.0.1 to 86.251.255.254 | 86.251.255.255 | 262,142 |
| 192 | 86.252.0.0/14 | 86.252.0.1 to 86.255.255.254 | 86.255.255.255 | 262,142 |
| 193 | 87.0.0.0/14 | 87.0.0.1 to 87.3.255.254 | 87.3.255.255 | 262,142 |
| 194 | 87.4.0.0/14 | 87.4.0.1 to 87.7.255.254 | 87.7.255.255 | 262,142 |
| 195 | 87.8.0.0/14 | 87.8.0.1 to 87.11.255.254 | 87.11.255.255 | 262,142 |
| 196 | 87.12.0.0/14 | 87.12.0.1 to 87.15.255.254 | 87.15.255.255 | 262,142 |
| 197 | 87.16.0.0/14 | 87.16.0.1 to 87.19.255.254 | 87.19.255.255 | 262,142 |
| 198 | 87.20.0.0/14 | 87.20.0.1 to 87.23.255.254 | 87.23.255.255 | 262,142 |
| 199 | 87.24.0.0/14 | 87.24.0.1 to 87.27.255.254 | 87.27.255.255 | 262,142 |
| 200 | 87.28.0.0/14 | 87.28.0.1 to 87.31.255.254 | 87.31.255.255 | 262,142 |
| 201 | 87.32.0.0/14 | 87.32.0.1 to 87.35.255.254 | 87.35.255.255 | 262,142 |
| 202 | 87.36.0.0/14 | 87.36.0.1 to 87.39.255.254 | 87.39.255.255 | 262,142 |
| 203 | 87.40.0.0/14 | 87.40.0.1 to 87.43.255.254 | 87.43.255.255 | 262,142 |
| 204 | 87.44.0.0/14 | 87.44.0.1 to 87.47.255.254 | 87.47.255.255 | 262,142 |
| 205 | 87.48.0.0/14 | 87.48.0.1 to 87.51.255.254 | 87.51.255.255 | 262,142 |
| 206 | 87.52.0.0/14 | 87.52.0.1 to 87.55.255.254 | 87.55.255.255 | 262,142 |
| 207 | 87.56.0.0/14 | 87.56.0.1 to 87.59.255.254 | 87.59.255.255 | 262,142 |
| 208 | 87.60.0.0/14 | 87.60.0.1 to 87.63.255.254 | 87.63.255.255 | 262,142 |
| 209 | 87.64.0.0/14 | 87.64.0.1 to 87.67.255.254 | 87.67.255.255 | 262,142 |
| 210 | 87.68.0.0/14 | 87.68.0.1 to 87.71.255.254 | 87.71.255.255 | 262,142 |
| 211 | 87.72.0.0/14 | 87.72.0.1 to 87.75.255.254 | 87.75.255.255 | 262,142 |
| 212 | 87.76.0.0/14 | 87.76.0.1 to 87.79.255.254 | 87.79.255.255 | 262,142 |
| 213 | 87.80.0.0/14 | 87.80.0.1 to 87.83.255.254 | 87.83.255.255 | 262,142 |
| 214 | 87.84.0.0/14 | 87.84.0.1 to 87.87.255.254 | 87.87.255.255 | 262,142 |
| 215 | 87.88.0.0/14 | 87.88.0.1 to 87.91.255.254 | 87.91.255.255 | 262,142 |
| 216 | 87.92.0.0/14 | 87.92.0.1 to 87.95.255.254 | 87.95.255.255 | 262,142 |
| 217 | 87.96.0.0/14 | 87.96.0.1 to 87.99.255.254 | 87.99.255.255 | 262,142 |
| 218 | 87.100.0.0/14 | 87.100.0.1 to 87.103.255.254 | 87.103.255.255 | 262,142 |
| 219 | 87.104.0.0/14 | 87.104.0.1 to 87.107.255.254 | 87.107.255.255 | 262,142 |
| 220 | 87.108.0.0/14 | 87.108.0.1 to 87.111.255.254 | 87.111.255.255 | 262,142 |
| 221 | 87.112.0.0/14 | 87.112.0.1 to 87.115.255.254 | 87.115.255.255 | 262,142 |
| 222 | 87.116.0.0/14 | 87.116.0.1 to 87.119.255.254 | 87.119.255.255 | 262,142 |
| 223 | 87.120.0.0/14 | 87.120.0.1 to 87.123.255.254 | 87.123.255.255 | 262,142 |
| 224 | 87.124.0.0/14 | 87.124.0.1 to 87.127.255.254 | 87.127.255.255 | 262,142 |
| 225 | 87.128.0.0/14 | 87.128.0.1 to 87.131.255.254 | 87.131.255.255 | 262,142 |
| 226 | 87.132.0.0/14 | 87.132.0.1 to 87.135.255.254 | 87.135.255.255 | 262,142 |
| 227 | 87.136.0.0/14 | 87.136.0.1 to 87.139.255.254 | 87.139.255.255 | 262,142 |
| 228 | 87.140.0.0/14 | 87.140.0.1 to 87.143.255.254 | 87.143.255.255 | 262,142 |
| 229 | 87.144.0.0/14 | 87.144.0.1 to 87.147.255.254 | 87.147.255.255 | 262,142 |
| 230 | 87.148.0.0/14 | 87.148.0.1 to 87.151.255.254 | 87.151.255.255 | 262,142 |
| 231 | 87.152.0.0/14 | 87.152.0.1 to 87.155.255.254 | 87.155.255.255 | 262,142 |
| 232 | 87.156.0.0/14 | 87.156.0.1 to 87.159.255.254 | 87.159.255.255 | 262,142 |
| 233 | 87.160.0.0/14 | 87.160.0.1 to 87.163.255.254 | 87.163.255.255 | 262,142 |
| 234 | 87.164.0.0/14 | 87.164.0.1 to 87.167.255.254 | 87.167.255.255 | 262,142 |
| 235 | 87.168.0.0/14 | 87.168.0.1 to 87.171.255.254 | 87.171.255.255 | 262,142 |
| 236 | 87.172.0.0/14 | 87.172.0.1 to 87.175.255.254 | 87.175.255.255 | 262,142 |
| 237 | 87.176.0.0/14 | 87.176.0.1 to 87.179.255.254 | 87.179.255.255 | 262,142 |
| 238 | 87.180.0.0/14 | 87.180.0.1 to 87.183.255.254 | 87.183.255.255 | 262,142 |
| 239 | 87.184.0.0/14 | 87.184.0.1 to 87.187.255.254 | 87.187.255.255 | 262,142 |
| 240 | 87.188.0.0/14 | 87.188.0.1 to 87.191.255.254 | 87.191.255.255 | 262,142 |
| 241 | 87.192.0.0/14 | 87.192.0.1 to 87.195.255.254 | 87.195.255.255 | 262,142 |
| 242 | 87.196.0.0/14 | 87.196.0.1 to 87.199.255.254 | 87.199.255.255 | 262,142 |
| 243 | 87.200.0.0/14 | 87.200.0.1 to 87.203.255.254 | 87.203.255.255 | 262,142 |
| 244 | 87.204.0.0/14 | 87.204.0.1 to 87.207.255.254 | 87.207.255.255 | 262,142 |
| 245 | 87.208.0.0/14 | 87.208.0.1 to 87.211.255.254 | 87.211.255.255 | 262,142 |
| 246 | 87.212.0.0/14 | 87.212.0.1 to 87.215.255.254 | 87.215.255.255 | 262,142 |
| 247 | 87.216.0.0/14 | 87.216.0.1 to 87.219.255.254 | 87.219.255.255 | 262,142 |
| 248 | 87.220.0.0/14 | 87.220.0.1 to 87.223.255.254 | 87.223.255.255 | 262,142 |
| 249 | 87.224.0.0/14 | 87.224.0.1 to 87.227.255.254 | 87.227.255.255 | 262,142 |
| 250 | 87.228.0.0/14 | 87.228.0.1 to 87.231.255.254 | 87.231.255.255 | 262,142 |
| 251 | 87.232.0.0/14 | 87.232.0.1 to 87.235.255.254 | 87.235.255.255 | 262,142 |
| 252 | 87.236.0.0/14 | 87.236.0.1 to 87.239.255.254 | 87.239.255.255 | 262,142 |
| 253 | 87.240.0.0/14 | 87.240.0.1 to 87.243.255.254 | 87.243.255.255 | 262,142 |
| 254 | 87.244.0.0/14 | 87.244.0.1 to 87.247.255.254 | 87.247.255.255 | 262,142 |
| 255 | 87.248.0.0/14 | 87.248.0.1 to 87.251.255.254 | 87.251.255.255 | 262,142 |
| 256 | 87.252.0.0/14 | 87.252.0.1 to 87.255.255.254 | 87.255.255.255 | 262,142 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |